Index: general.ent
===================================================================
--- general.ent	(revision 8202762341b2748e09081b4179f328d802d7c0cc)
+++ general.ent	(revision 17bcb8148ac5f0ae080e2b6054dc8f38a44972fd)
@@ -163,5 +163,5 @@
 <!ENTITY ksh-version                  "2008-11-04">
 
-<!-- Chapter 7a Virtualization -->
+<!-- Chapter 8 Virtualization -->
 <!ENTITY libosinfo-version            "0.1.1">
 <!ENTITY libvirt-version              "0.9.11">
@@ -170,8 +170,6 @@
 <!ENTITY qemu-kvm-version             "1.0">
 
-<!-- all chapter numbers from here are off-by-one -->
-
 <!-- Part III -->
-<!-- Chapter 8 -->
+<!-- Chapter 9 -->
 <!ENTITY pcre-version                 "8.30">
 <!ENTITY popt-version                 "1.16">
@@ -251,5 +249,5 @@
 -->
 
-<!-- Chapter 9 -->
+<!-- Chapter 10 -->
 <!ENTITY libjpeg-version              "8d">
 <!ENTITY libpng-version               "1.5.9">
@@ -287,5 +285,5 @@
 -->
 
-<!-- Chapter 10 -->
+<!-- Chapter 11 -->
 <!ENTITY autogen-version              "5.12">
 <!ENTITY bc-version                   "1.06.95">
@@ -316,5 +314,5 @@
 <!ENTITY apr-util-version             "1.4.1">
 
-<!-- Chapter 11 -->
+<!-- Chapter 12 -->
 <!ENTITY autofs-version               "5.0.6">
 <!ENTITY gpm-version                  "1.20.6">
@@ -354,5 +352,5 @@
 <!ENTITY pkgconfig-version            "0.26">
 
-<!-- Chapter 12 -->
+<!-- Chapter 13 -->
 <!ENTITY check-version                "0.9.8">
 <!ENTITY cmake-major-version          "2.8">
@@ -395,5 +393,8 @@
 <!ENTITY Crypt-SSLeay-version         "0.58">
 <!ENTITY Date-Manip-version           "6.31">
+<!ENTITY ExtUtils-Depends-version     "0.304">
+<!ENTITY ExtUtils-PkgConfig-version   "1.12">
 <!ENTITY Finance-Quote-version        "1.17">
+<!ENTITY Glib-perl-version            "1.242">
 <!ENTITY HTML-Parser-version          "3.69">
 <!ENTITY HTML-TableExtract-version    "2.11">
@@ -401,4 +402,5 @@
 <!ENTITY Net-DNS-version              "0.68">
 <!ENTITY SGMLSpm-version              "1.1">
+<!ENTITY URI-version                  "1.60">
 <!ENTITY XML-Parser-version           "2.41">
 <!ENTITY XML-Simple-version           "2.18">
@@ -435,5 +437,4 @@
 <!ENTITY Text-Diff-version            "0.35">
 <!ENTITY Tie-IxHash-version           "1.22">
-<!ENTITY URI-version                  "1.35">
 <!ENTITY XML-LibXML-version           "1.70">
 <!ENTITY XML-NamespaceSupport-version "1.11">
@@ -474,5 +475,5 @@
 
 <!-- Part IV -->
-<!-- Chapter 13 -->
+<!-- Chapter 14 -->
 <!ENTITY ppp-version                  "2.4.5">
 <!ENTITY dhcpcd-version               "5.5.6">
@@ -483,5 +484,5 @@
 <!ENTITY pppoe-version                "3.8">-->
 
-<!-- Chapter 14 -->
+<!-- Chapter 15 -->
 <!ENTITY bridgeutils-version          "1.5">
 <!ENTITY cifsutils-version            "5.3">
@@ -501,5 +502,5 @@
 <!ENTITY portmap-version              "6.0">-->
 
-<!-- Chapter 15 -->
+<!-- Chapter 16 -->
 <!ENTITY traceroute-version           "2.0.18">
 <!ENTITY nmap-version                 "5.51">
@@ -513,5 +514,5 @@
 <!ENTITY wicd-version                 "1.7.1">
 
-<!-- Chapter 16 -->
+<!-- Chapter 17 -->
 <!ENTITY curl-version                 "7.25.0">
 <!ENTITY geoclue-version              "0.12.0">
@@ -534,10 +535,10 @@
 -->
 
-<!-- Chapter 17 -->
+<!-- Chapter 18 -->
 <!ENTITY Links-version                "2.4">
 <!ENTITY lynx-version                 "2.8.8dev.10">
 <!ENTITY w3m-version                  "0.5.3">
 
-<!-- Chapter 18 -->
+<!-- Chapter 19 -->
 <!ENTITY mailx-version                "12.4">
 <!ENTITY procmail-version             "3.22">
@@ -560,5 +561,5 @@
 
 <!-- Part V -->
-<!-- Chapter 19 -->
+<!-- Chapter 20 -->
 <!ENTITY apache-version               "2.4.1">
 <!-- bind (chapter 15) -->
@@ -569,5 +570,5 @@
 <!-- <!ENTITY xinetd-version               "2.3.14"> -->
 
-<!-- Chapter 20 -->
+<!-- Chapter 21 -->
 <!ENTITY exim-version                 "4.67">
 <!ENTITY postfix-version              "2.9.1">
@@ -579,5 +580,5 @@
 -->
 
-<!-- Chapter 21 -->
+<!-- Chapter 22 -->
 <!ENTITY db-version                   "5.3.15">
 <!ENTITY mysql-version                "5.5.17">
@@ -585,5 +586,5 @@
 <!ENTITY sqlite-version               "3.7.11">
 
-<!-- Chapter 22 -->
+<!-- Chapter 23 -->
 <!-- dhcp (chapter 13) -->
 <!ENTITY leafnode-version             "1.11.5">
@@ -595,6 +596,6 @@
 <!-- cvs (chapter 12) -->
 
-<!-- Part VII -->
-<!-- Chapter 23 -->
+<!-- Part VI -->
+<!-- Chapter 24 -->
 <!ENTITY xorg7-version                "7.6">
 <!ENTITY xorg7-release                "7.6-2">
@@ -617,5 +618,5 @@
 -->
 
-<!-- Chapter 24 -->
+<!-- Chapter 25 -->
 <!ENTITY qt-version                   "3.3.8d">
 <!ENTITY qt4-version                  "4.8.1">
@@ -650,12 +651,8 @@
 <!ENTITY cogl-version                 "1.10.2">
 
-<!-- Chapter 25 -->
+<!-- Chapter 26 -->
 <!ENTITY fluxbox-version              "1.3.2">
 <!ENTITY openbox-version              "3.5.0">
 <!ENTITY sawfish-version              "1.6.1">
-
-<!-- Unmaintained
-<!ENTITY xfce-version                 "4.4.2">
--->
 
 <!-- Part VII -->
@@ -698,5 +695,5 @@
 <!ENTITY kdepimruntime-version        "4.8.2">
 
-<!-- Part IX -->
+<!-- Part VIII -->
 
 <!ENTITY gnome-version                "3.2">
@@ -709,5 +706,5 @@
 <!ENTITY gnome-download-ftp           "ftp://ftp.gnome.org/pub/gnome/sources">
 
-<!-- Chapter 32 -->
+<!-- Chapter 30 -->
 
 <!-- Platform -->
@@ -791,5 +788,5 @@
 <!ENTITY gdm-version                  "3.4.1">
 
-<!-- Chapter 33 -->
+<!-- Chapter 31 -->
 
 <!-- Additional Libraries -->
@@ -839,5 +836,5 @@
 <!ENTITY orca-version                 "3.2.2">
 
-<!-- Chapter 34 -->
+<!-- Chapter 32 -->
 <!-- Deprecated -->
 <!ENTITY ORBit2-version               "2.14.19">
@@ -889,4 +886,31 @@
 <!ENTITY system-tools-backends-version "2.9.4">
 -->
+
+<!-- Xfce core -->
+<!ENTITY xfce4-version                "4.10">
+<!ENTITY exo-version                  "0.8.0">
+<!ENTITY garcon-version               "0.2.0">
+<!ENTITY gtk-xfce-engine-version      "3.0.0">
+<!ENTITY libwnck2-version             "2.30.7">
+<!ENTITY libxfce4ui-version           "4.10.0">
+<!ENTITY libxfce4util-version         "4.10.0">
+<!ENTITY libxfcegui4-version          "4.10.0">
+<!ENTITY thunar-version               "1.4.0">
+<!ENTITY thunar-volman-version        "0.8.0">
+<!ENTITY tumbler-version              "0.1.25">
+<!ENTITY xfce4-appfinder-version      "4.10.0">
+<!ENTITY xfce4-panel-version          "4.10.0">
+<!ENTITY xfce4-power-manager-version  "1.2.0">
+<!ENTITY xfce4-session-version        "4.10.0">
+<!ENTITY xfce4-settings-version       "4.10.0">
+<!ENTITY xfconf-version               "4.10.0">
+<!ENTITY xfdesktop-version            "4.10.0">
+<!ENTITY xfwm4-version                "4.10.0">
+
+<!-- Xfce apps -->
+<!ENTITY terminal-version             "0.4.8">
+<!ENTITY vte2-version                 "0.28.2">
+<!ENTITY xfburn-version               "0.4.3">
+<!ENTITY xfce4-notifyd-version        "0.2.2">
 
 <!-- Part X -->
